<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_3</title>
</head>
<body>
    <h1>Capitulo 6</h1>
    <a>Ejercicio 7</a>

    <script>

        const familiares = (n) => {
            let niños = 0,
                niñas = 0;
            
            for (var i = 0; i < n; i++) {
                let generos = new Array;
                generos = unoPorFamilia();
                niñas += generos[0];
                niños += generos[1];
            }

            return console.log(niñas / (niños + niñas));
        }

        const unoPorFamilia = () => {
            random = Math.random();
            let boys = 0,
               girls = 0;

            while (girls === 6) {
                if (random) {
                    girls += 1;
                } else {
                    boys += 1;
                }
            }
            generos = [girls, boys];
            return generos            
        }
        
        familiares();
    
        
    </script>
    
</body>
</html>